<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>UnityWrapper | Vivifly</title>
	<meta name="description" content="Documentation for Vivifly">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.json" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">Vivifly</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="unitywrapper.html">UnityWrapper</a>
				</li>
			</ul>
			<h1>Class UnityWrapper</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-hierarchy">
				<h3>Hierarchy</h3>
				<ul class="tsd-hierarchy">
					<li>
						<span class="target">UnityWrapper</span>
					</li>
				</ul>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section ">
							<h3>Constructors</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-constructor tsd-parent-kind-class"><a href="unitywrapper.html#constructor" class="tsd-kind-icon">constructor</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Properties</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-property tsd-parent-kind-class"><a href="unitywrapper.html#model" class="tsd-kind-icon">model</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class"><a href="unitywrapper.html#unitycontent" class="tsd-kind-icon">unity<wbr>Content</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class"><a href="unitywrapper.html#uploadingfinished" class="tsd-kind-icon">uploading<wbr>Finished</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class"><a href="unitywrapper.html#uploadingstarted" class="tsd-kind-icon">uploading<wbr>Started</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Methods</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#activateplanehovereffect" class="tsd-kind-icon">activate<wbr>Plane<wbr>Hover<wbr>Effect</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#addscreeneffect" class="tsd-kind-icon">add<wbr>Screen<wbr>Effect</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#addtouchscreenelement" class="tsd-kind-icon">add<wbr>Touchscreen<wbr>Element</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#deactivateplanehovereffect" class="tsd-kind-icon">de<wbr>Activate<wbr>Plane<wbr>Hover<wbr>Effect</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#outlineelement" class="tsd-kind-icon">outline<wbr>Element</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#removealllighteffects" class="tsd-kind-icon">remove<wbr>All<wbr>Light<wbr>Effects</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#removeallvisualeffects" class="tsd-kind-icon">remove<wbr>All<wbr>Visual<wbr>Effects</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#removelighteffect" class="tsd-kind-icon">remove<wbr>Light<wbr>Effect</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#removeoutline" class="tsd-kind-icon">remove<wbr>Outline</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#removescreeneffect" class="tsd-kind-icon">remove<wbr>Screen<wbr>Effect</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#removetouchscreenelement" class="tsd-kind-icon">remove<wbr>Touchscreen<wbr>Element</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#setdemomode" class="tsd-kind-icon">set<wbr>Demo<wbr>Mode</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#setlighteffect" class="tsd-kind-icon">set<wbr>Light<wbr>Effect</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#startcameramovement" class="tsd-kind-icon">start<wbr>Camera<wbr>Movement</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#stopcameramovement" class="tsd-kind-icon">stop<wbr>Camera<wbr>Movement</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#switchcamerabehaviour" class="tsd-kind-icon">switch<wbr>Camera<wbr>Behaviour</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#updatevisualization" class="tsd-kind-icon">update<wbr>Visualization</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="unitywrapper.html#uploadmodel" class="tsd-kind-icon">upload<wbr>Model</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Constructors</h2>
				<section class="tsd-panel tsd-member tsd-kind-constructor tsd-parent-kind-class">
					<a name="constructor" class="tsd-anchor"></a>
					<h3>constructor</h3>
					<ul class="tsd-signatures tsd-kind-constructor tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">new <wbr>Unity<wbr>Wrapper<span class="tsd-signature-symbol">(</span>onClick<span class="tsd-signature-symbol">: </span><a href="../globals.html#onclickfunction" class="tsd-signature-type">onClickFunction</a>, onProgress<span class="tsd-signature-symbol">: </span><a href="../globals.html#onprogressfunction" class="tsd-signature-type">onProgressFunction</a>, uploadingStarted<span class="tsd-signature-symbol">: </span><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span>, uploadingFinished<span class="tsd-signature-symbol">: </span><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span>, onStateChanged<span class="tsd-signature-symbol">: </span><a href="../globals.html#statechangedfunction" class="tsd-signature-type">stateChangedFunction</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="unitywrapper.html" class="tsd-signature-type">UnityWrapper</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:30</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Constructor initializes the unityContent and its methods</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>onClick: <a href="../globals.html#onclickfunction" class="tsd-signature-type">onClickFunction</a></h5>
								</li>
								<li>
									<h5>onProgress: <a href="../globals.html#onprogressfunction" class="tsd-signature-type">onProgressFunction</a></h5>
								</li>
								<li>
									<h5>uploadingStarted: <span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></h5>
									<ul class="tsd-parameters">
										<li class="tsd-parameter-signature">
											<ul class="tsd-signatures tsd-kind-type-literal">
												<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
											</ul>
											<ul class="tsd-descriptions">
												<li class="tsd-description">
													<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
												</li>
											</ul>
										</li>
									</ul>
								</li>
								<li>
									<h5>uploadingFinished: <span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></h5>
									<ul class="tsd-parameters">
										<li class="tsd-parameter-signature">
											<ul class="tsd-signatures tsd-kind-type-literal">
												<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
											</ul>
											<ul class="tsd-descriptions">
												<li class="tsd-description">
													<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
												</li>
											</ul>
										</li>
									</ul>
								</li>
								<li>
									<h5>onStateChanged: <a href="../globals.html#statechangedfunction" class="tsd-signature-type">stateChangedFunction</a></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="unitywrapper.html" class="tsd-signature-type">UnityWrapper</a></h4>
						</li>
					</ul>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Properties</h2>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class">
					<a name="model" class="tsd-anchor"></a>
					<h3>model</h3>
					<div class="tsd-signature tsd-kind-icon">model<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">File</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/Utils/UnityWrapper.tsx:30</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class">
					<a name="unitycontent" class="tsd-anchor"></a>
					<h3>unity<wbr>Content</h3>
					<div class="tsd-signature tsd-kind-icon">unity<wbr>Content<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">UnityContext</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/Utils/UnityWrapper.tsx:27</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class">
					<a name="uploadingfinished" class="tsd-anchor"></a>
					<h3>uploading<wbr>Finished</h3>
					<div class="tsd-signature tsd-kind-icon">uploading<wbr>Finished<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/Utils/UnityWrapper.tsx:29</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class">
					<a name="uploadingstarted" class="tsd-anchor"></a>
					<h3>uploading<wbr>Started</h3>
					<div class="tsd-signature tsd-kind-icon">uploading<wbr>Started<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/Utils/UnityWrapper.tsx:28</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-property">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Methods</h2>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="activateplanehovereffect" class="tsd-anchor"></a>
					<h3>activate<wbr>Plane<wbr>Hover<wbr>Effect</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">activate<wbr>Plane<wbr>Hover<wbr>Effect<span class="tsd-signature-symbol">(</span>elementName<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:258</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Activates a hover effect for the planes of an element</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>elementName: <span class="tsd-signature-type">string</span></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="addscreeneffect" class="tsd-anchor"></a>
					<h3>add<wbr>Screen<wbr>Effect</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">add<wbr>Screen<wbr>Effect<span class="tsd-signature-symbol">(</span>visualizationElement<span class="tsd-signature-symbol">: </span><a href="../interfaces/visualizationelement.html" class="tsd-signature-type">VisualizationElement</a>, imageFile<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">File</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:282</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Adds a screen effect to an element</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>visualizationElement: <a href="../interfaces/visualizationelement.html" class="tsd-signature-type">VisualizationElement</a></h5>
									<div class="tsd-comment tsd-typography">
										<p>Definition of the screen element</p>
									</div>
								</li>
								<li>
									<h5>imageFile: <span class="tsd-signature-type">File</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>File that should be displayed</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="addtouchscreenelement" class="tsd-anchor"></a>
					<h3>add<wbr>Touchscreen<wbr>Element</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">add<wbr>Touchscreen<wbr>Element<span class="tsd-signature-symbol">(</span>interactionElement<span class="tsd-signature-symbol">: </span><a href="../interfaces/interactionelement.html" class="tsd-signature-type">InteractionElement</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:320</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Adds a screen element to an element</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>interactionElement: <a href="../interfaces/interactionelement.html" class="tsd-signature-type">InteractionElement</a></h5>
									<div class="tsd-comment tsd-typography">
										<p>Interaction element to attach a touchscreen on</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="deactivateplanehovereffect" class="tsd-anchor"></a>
					<h3>de<wbr>Activate<wbr>Plane<wbr>Hover<wbr>Effect</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">de<wbr>Activate<wbr>Plane<wbr>Hover<wbr>Effect<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:269</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Deactivates plane hover effects</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="outlineelement" class="tsd-anchor"></a>
					<h3>outline<wbr>Element</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">outline<wbr>Element<span class="tsd-signature-symbol">(</span>elementName<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, colorName<span class="tsd-signature-symbol">: </span><a href="../globals.html#outlinecolor" class="tsd-signature-type">OutlineColor</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:191</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Outlines an element inside WebGL</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>elementName: <span class="tsd-signature-type">string</span></h5>
								</li>
								<li>
									<h5>colorName: <a href="../globals.html#outlinecolor" class="tsd-signature-type">OutlineColor</a></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="removealllighteffects" class="tsd-anchor"></a>
					<h3>remove<wbr>All<wbr>Light<wbr>Effects</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">remove<wbr>All<wbr>Light<wbr>Effects<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:225</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Removes all light effects from the current visualization</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="removeallvisualeffects" class="tsd-anchor"></a>
					<h3>remove<wbr>All<wbr>Visual<wbr>Effects</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">remove<wbr>All<wbr>Visual<wbr>Effects<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:247</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Removes all currently active visual effects</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="removelighteffect" class="tsd-anchor"></a>
					<h3>remove<wbr>Light<wbr>Effect</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">remove<wbr>Light<wbr>Effect<span class="tsd-signature-symbol">(</span>elementName<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:236</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Removes the light effect of a certain element</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>elementName: <span class="tsd-signature-type">string</span></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="removeoutline" class="tsd-anchor"></a>
					<h3>remove<wbr>Outline</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">remove<wbr>Outline<span class="tsd-signature-symbol">(</span>elementName<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:202</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Removes outline of an element</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>elementName: <span class="tsd-signature-type">string</span></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="removescreeneffect" class="tsd-anchor"></a>
					<h3>remove<wbr>Screen<wbr>Effect</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">remove<wbr>Screen<wbr>Effect<span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:308</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Removes the screen effect of an element</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>element: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Name of the element</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="removetouchscreenelement" class="tsd-anchor"></a>
					<h3>remove<wbr>Touchscreen<wbr>Element</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">remove<wbr>Touchscreen<wbr>Element<span class="tsd-signature-symbol">(</span>element<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:338</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Removes a touchscreen from a GameObject</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>element: <span class="tsd-signature-type">string</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Name of the element to remove the touchscreen from</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="setdemomode" class="tsd-anchor"></a>
					<h3>set<wbr>Demo<wbr>Mode</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">set<wbr>Demo<wbr>Mode<span class="tsd-signature-symbol">(</span>context<span class="tsd-signature-symbol">: </span><a href="../interfaces/appcontext.html" class="tsd-signature-type">AppContext</a>, demoModeIsActive<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:103</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>starts and stops the demo mode</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>context: <a href="../interfaces/appcontext.html" class="tsd-signature-type">AppContext</a></h5>
									<div class="tsd-comment tsd-typography">
										<p>the current app context</p>
									</div>
								</li>
								<li>
									<h5>demoModeIsActive: <span class="tsd-signature-type">boolean</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>whether the demo mode is active or not</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="setlighteffect" class="tsd-anchor"></a>
					<h3>set<wbr>Light<wbr>Effect</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">set<wbr>Light<wbr>Effect<span class="tsd-signature-symbol">(</span>elementName<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, red<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, green<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, blue<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, alpha<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:214</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Changes the light effect of an element
									colors and alpha are from 0 to 1</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>elementName: <span class="tsd-signature-type">string</span></h5>
								</li>
								<li>
									<h5>red: <span class="tsd-signature-type">number</span></h5>
								</li>
								<li>
									<h5>green: <span class="tsd-signature-type">number</span></h5>
								</li>
								<li>
									<h5>blue: <span class="tsd-signature-type">number</span></h5>
								</li>
								<li>
									<h5>alpha: <span class="tsd-signature-type">number</span></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="startcameramovement" class="tsd-anchor"></a>
					<h3>start<wbr>Camera<wbr>Movement</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">start<wbr>Camera<wbr>Movement<span class="tsd-signature-symbol">(</span>direction<span class="tsd-signature-symbol">: </span><a href="../globals.html#direction" class="tsd-signature-type">Direction</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:168</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Starts moving the camera inside WebGL</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>direction: <a href="../globals.html#direction" class="tsd-signature-type">Direction</a></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="stopcameramovement" class="tsd-anchor"></a>
					<h3>stop<wbr>Camera<wbr>Movement</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">stop<wbr>Camera<wbr>Movement<span class="tsd-signature-symbol">(</span>direction<span class="tsd-signature-symbol">: </span><a href="../globals.html#direction" class="tsd-signature-type">Direction</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:180</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Stops camera movement inside WebGL</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>direction: <a href="../globals.html#direction" class="tsd-signature-type">Direction</a></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="switchcamerabehaviour" class="tsd-anchor"></a>
					<h3>switch<wbr>Camera<wbr>Behaviour</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">switch<wbr>Camera<wbr>Behaviour<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:349</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Switches the camera behaviour inside WebGL</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="updatevisualization" class="tsd-anchor"></a>
					<h3>update<wbr>Visualization</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">update<wbr>Visualization<span class="tsd-signature-symbol">(</span>context<span class="tsd-signature-symbol">: </span><a href="../interfaces/appcontext.html" class="tsd-signature-type">AppContext</a>, situationID<span class="tsd-signature-symbol">?: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:67</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Removes all visualization from the current WebGL and displays a certain context</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>context: <a href="../interfaces/appcontext.html" class="tsd-signature-type">AppContext</a></h5>
									<div class="tsd-comment tsd-typography">
										<p>Context that should be displayed</p>
									</div>
								</li>
								<li>
									<h5><span class="tsd-flag ts-flagDefault value">Default value</span> situationID: <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> = undefined</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>Situation that should be visualized (default: current situation)</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="uploadmodel" class="tsd-anchor"></a>
					<h3>upload<wbr>Model</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">upload<wbr>Model<span class="tsd-signature-symbol">(</span>file<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">File</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/Utils/UnityWrapper.tsx:129</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Uploads a 3D model into the scene</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>file: <span class="tsd-signature-type">File</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>3D Model file</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
						</li>
					</ul>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
				</ul>
				<ul class="current">
					<li class="current tsd-kind-class">
						<a href="unitywrapper.html" class="tsd-kind-icon">Unity<wbr>Wrapper</a>
						<ul>
							<li class=" tsd-kind-constructor tsd-parent-kind-class">
								<a href="unitywrapper.html#constructor" class="tsd-kind-icon">constructor</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class">
								<a href="unitywrapper.html#model" class="tsd-kind-icon">model</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class">
								<a href="unitywrapper.html#unitycontent" class="tsd-kind-icon">unity<wbr>Content</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class">
								<a href="unitywrapper.html#uploadingfinished" class="tsd-kind-icon">uploading<wbr>Finished</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class">
								<a href="unitywrapper.html#uploadingstarted" class="tsd-kind-icon">uploading<wbr>Started</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#activateplanehovereffect" class="tsd-kind-icon">activate<wbr>Plane<wbr>Hover<wbr>Effect</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#addscreeneffect" class="tsd-kind-icon">add<wbr>Screen<wbr>Effect</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#addtouchscreenelement" class="tsd-kind-icon">add<wbr>Touchscreen<wbr>Element</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#deactivateplanehovereffect" class="tsd-kind-icon">de<wbr>Activate<wbr>Plane<wbr>Hover<wbr>Effect</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#outlineelement" class="tsd-kind-icon">outline<wbr>Element</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#removealllighteffects" class="tsd-kind-icon">remove<wbr>All<wbr>Light<wbr>Effects</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#removeallvisualeffects" class="tsd-kind-icon">remove<wbr>All<wbr>Visual<wbr>Effects</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#removelighteffect" class="tsd-kind-icon">remove<wbr>Light<wbr>Effect</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#removeoutline" class="tsd-kind-icon">remove<wbr>Outline</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#removescreeneffect" class="tsd-kind-icon">remove<wbr>Screen<wbr>Effect</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#removetouchscreenelement" class="tsd-kind-icon">remove<wbr>Touchscreen<wbr>Element</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#setdemomode" class="tsd-kind-icon">set<wbr>Demo<wbr>Mode</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#setlighteffect" class="tsd-kind-icon">set<wbr>Light<wbr>Effect</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#startcameramovement" class="tsd-kind-icon">start<wbr>Camera<wbr>Movement</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#stopcameramovement" class="tsd-kind-icon">stop<wbr>Camera<wbr>Movement</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#switchcamerabehaviour" class="tsd-kind-icon">switch<wbr>Camera<wbr>Behaviour</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#updatevisualization" class="tsd-kind-icon">update<wbr>Visualization</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="unitywrapper.html#uploadmodel" class="tsd-kind-icon">upload<wbr>Model</a>
							</li>
						</ul>
					</li>
				</ul>
				<ul class="after-current">
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
</body>
</html>